// Code generated by mockery v2.42.2. DO NOT EDIT.

package main

import mock "github.com/stretchr/testify/mock"

// mockDockerInterface is an autogenerated mock type for the dockerInterface type
type mockDockerInterface struct {
	mock.Mock
}

// Inspect provides a mock function with given fields: image
func (_m *mockDockerInterface) Inspect(image string) error {
	ret := _m.Called(image)

	if len(ret) == 0 {
		panic("no return value specified for Inspect")
	}

	var r0 error
	if rf, ok := ret.Get(0).(func(string) error); ok {
		r0 = rf(image)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// Push provides a mock function with given fields: image
func (_m *mockDockerInterface) Push(image string) error {
	ret := _m.Called(image)

	if len(ret) == 0 {
		panic("no return value specified for Push")
	}

	var r0 error
	if rf, ok := ret.Get(0).(func(string) error); ok {
		r0 = rf(image)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

// newMockDockerInterface creates a new instance of mockDockerInterface. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
// The first argument is typically a *testing.T value.
func newMockDockerInterface(t interface {
	mock.TestingT
	Cleanup(func())
}) *mockDockerInterface {
	mock := &mockDockerInterface{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
